[arch-commits] Commit in python-zope-exceptions/repos/community-staging-any (2 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Nov 12 14:37:50 UTC 2020


    Date: Thursday, November 12, 2020 @ 14:37:50
  Author: foutrelis
Revision: 751958

archrelease: copy trunk to community-staging-any

Added:
  python-zope-exceptions/repos/community-staging-any/PKGBUILD
    (from rev 751956, python-zope-exceptions/trunk/PKGBUILD)
Deleted:
  python-zope-exceptions/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |  102 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-12 14:37:48 UTC (rev 751957)
+++ PKGBUILD	2020-11-12 14:37:50 UTC (rev 751958)
@@ -1,51 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-zope-exceptions
-pkgname=('python-zope-exceptions' 'python2-zope-exceptions')
-pkgver=4.4
-pkgrel=2
-pkgdesc="Generic exceptions and implementations for Zope"
-arch=('any')
-url="https://github.com/zopefoundation/zope.exceptions"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
-             'python2-zope-interface')
-checkdepends=('python-zope-testrunner' 'python2-zope-testrunner')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.exceptions/archive/$pkgver.tar.gz")
-sha512sums=('31a2d5e3fc20b3e9923c8780b85d412adccd826a8d98a62baed116614190fc8a9991980db899781d09c910f11037cfaa2a5f788f08567b8be2bf0055bb6b4073')
-
-prepare() {
-  cp -a zope.exceptions-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/zope.exceptions-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/zope.exceptions-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/zope.exceptions-$pkgver
-  python setup.py test || :
-
-  cd "$srcdir"/zope.exceptions-$pkgver-py2
-  python2 setup.py test
-}
-
-package_python-zope-exceptions() {
-  depends=('python-setuptools' 'python-zope-interface')
-
-  cd zope.exceptions-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-zope-exceptions() {
-  depends=('python2-setuptools' 'python2-zope-interface')
-
-  cd zope.exceptions-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-zope-exceptions/repos/community-staging-any/PKGBUILD (from rev 751956, python-zope-exceptions/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-12 14:37:50 UTC (rev 751958)
@@ -0,0 +1,51 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-exceptions
+pkgname=('python-zope-exceptions' 'python2-zope-exceptions')
+pkgver=4.4
+pkgrel=3
+pkgdesc="Generic exceptions and implementations for Zope"
+arch=('any')
+url="https://github.com/zopefoundation/zope.exceptions"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+             'python2-zope-interface')
+checkdepends=('python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.exceptions/archive/$pkgver.tar.gz")
+sha512sums=('31a2d5e3fc20b3e9923c8780b85d412adccd826a8d98a62baed116614190fc8a9991980db899781d09c910f11037cfaa2a5f788f08567b8be2bf0055bb6b4073')
+
+prepare() {
+  cp -a zope.exceptions-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/zope.exceptions-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/zope.exceptions-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/zope.exceptions-$pkgver
+  python setup.py test || :
+
+  cd "$srcdir"/zope.exceptions-$pkgver-py2
+  python2 setup.py test
+}
+
+package_python-zope-exceptions() {
+  depends=('python-setuptools' 'python-zope-interface')
+
+  cd zope.exceptions-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-exceptions() {
+  depends=('python2-setuptools' 'python2-zope-interface')
+
+  cd zope.exceptions-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list